# Class BadAlloc
Generic SeqAn exception.

Defined in | <seqan/basic.h>
Signature | `typedef std::bad_alloc BadAlloc;`

## Member Function Overview

- `BadAlloc::BadAlloc(msg);`
  Constructor.

## Member Functions Detail

### `BadAlloc::BadAlloc(msg);`

Constructor.

#### Parameters

`msg` | The message as a `std::string`.

#### Data Races

If not stated otherwise, concurrent invocation is not guaranteed to be thread-safe.

#### Dox Sources

    /*!
     * @class BadAlloc
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief Generic SeqAn exception.
     *
     * @signature typedef std::bad_alloc BadAlloc;
     *
     * @fn BadAlloc::BadAlloc
     *
     * @brief Constructor.
     *
     * @signature BadAlloc::BadAlloc(msg);
     *
     * @param[in] msg The message as a <tt>std::string</tt>.
     */